@import './styles/generic.css';

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  border-bottom: 5px solid var(--text);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  position: fixed;
  background: var(--bg) !important;
  z-index: 200000;
  width: 100vw;
  height: 5rem;
  top: 0;
  transition: transform 0.2s ease;
}

h1 {
  text-wrap: balance;
  background: linear-gradient(60deg, var(--primary), var(--accent));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

#logo {
  text-transform: uppercase;
  font-size: 1.75rem;
  font-weight: 900;
}

nav ul {
  display: flex;
  gap: 2rem;
  list-style: none;
}

nav ul li {
  position: relative;
}

nav ul li::after {
  content: '';
  position: absolute;
  top: 50%;
  right: -1.5rem;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background-color: var(--text);
  transform: translate(-50%, -50%);
}

nav ul li:last-child::after {
  display: none;
}

nav button {
  border-radius: 10000vw;
  color: var(--text);
  background-color: var(--accent);
  padding: 0.5rem 1.75rem;
}

header {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  place-items: center;
  height: calc(100vh - 5rem);
  width: 95vw;
  margin: 5rem auto;
}

header > * {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: center;
  width: 100%;
  max-width: 34.1em;
}
button {
  border-radius: 0.5rem;
  background: var(--secondary);
}

#chat {
  background: var(--primary);
}

.buttons {
  display: flex;
  gap: 1rem;
  width: 100%;
}

.buttons > button {
  width: 100%;
}

section {
  margin-block: 5rem;
  max-width: 60rem;
  margin-inline: auto;
  min-width: 95vw;
}

section#team {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  max-width: 60rem;
  gap: 0.5rem;
}

#team > h2 {
  grid-row: 1;
  grid-column-start: 1;
  grid-column-end: 4;
}

.team-card {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem;
  border-radius: 0.5rem;
  background: var(--primary);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.team-member {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: space-between;
  position: relative;
  margin-bottom: 1rem;
}

.team-member img {
  padding: 0.25rem;
  border-radius: 50%;
  aspect-ratio: 1;
  /* background: var(--accent); */
  width: 2.5rem;
}
.name {
  font-size: 1.2rem;
  font-weight: 800;
}
.role {
  opacity: 0.8;
  position: absolute;
  bottom: -1.05rem;
  font-size: 0.8rem;
  left: 0;
}

.dead-pirate-bobbers {
  background: var(--accent) !important;
}

.dead-pirate-bobbers img {
  /* background: var(--primary) !important; */
}

h2 {
  font-size: 2rem;
}
#x-out-menu {
  width: 2rem;
  aspect-ratio: 1;
  background: var(--primary);
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 0;
  transform: translateX(100%);
}

@media (max-width: 1065px) {
  .nav-closed {
    transform: translateX(-100%);
  }
  section {
    padding-inline: 1rem;
  }
  header {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }
  header div.column:not(.text) {
    display: none;
  }
  section#team {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto repeat(2, 1fr);
  }
  #team > h2 {
    grid-row: 1;
    grid-column-start: 1;
    grid-column-end: 3;
  }

  nav {
    width: 85vw;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    flex-direction: column;
  }
  nav ul {
    flex-direction: column;
  }
  nav ul li::after {
    display: none;
  }
}

@media (max-width: 550px) {
  :root {
    font-size: 12px;
  }
  section#team {
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: auto repeat(3, 1fr);
    gap: 1.5rem;
  }
  #team > h2 {
    grid-row: 1;
    grid-column-start: 1;
    grid-column-end: 1;
  }
  p {
    font-size: 1rem;
  }
  nav {
    text-align: center !important;
  }
}
